Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class IPNContractStatusManager

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.IPNContractStatusManager

    public class IPNContractStatusManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IPNContractStatusManager​(java.sql.Connection con, int mid, Preferences moduleSetup)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `changeStatus​(int cid, int status_new, int userID, boolean updateManad)` | Изменяет статус договора
  `int` | `getContractStatus​(int contractId)` | Возвращает текуший статус договора
  `int` | `getDefaultContractStatus()` |
  `void` | `searchIPNContractStatusLogRecordList​(SearchResult<IPNContractStatusLogRecord> searchResult, int contractId, boolean dateSortOrder)` |
  `boolean` | `statusExists​(int contractId)` | Deprecated. c версии 4.6, 5.0, 5.1 .
  `static java.lang.String` | `statusToString​(int status)` | Преобразует код статуса в строку

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPNContractStatusManager

    public IPNContractStatusManager​(java.sql.Connection con, int mid, Preferences moduleSetup)

- ## Method Details

  - ### getContractStatus

    public int getContractStatus​(int contractId)
    Возвращает текуший статус договора
    Parameters:
      `contractId` - код договора
    Returns:
      код статуса договора, если в БД для данного договора нет записей, создается новая запись со статусом заданным в конфиге параметром default.contract.status, если параметр не задан, то со статусом IPNContractStatus.STATUS_OPEN

  - ### getDefaultContractStatus

    public int getDefaultContractStatus()

  - ### statusExists

    @Deprecated public boolean statusExists​(int contractId)
    Deprecated.
    c версии 4.6, 5.0, 5.1 . Не использовать ее вообще, использовать `getContractStatus(int)`.
    Проверяет, существует ли статус для данного договора
    Parameters:
      `contractId` - код договора
    Returns:
      true - если существует, false - иначе

  - ### changeStatus

    public int changeStatus​(int cid, int status_new, int userID, boolean updateManad)
    Изменяет статус договора
    Parameters:
      `cid` - код договора
      `status_new` - новый статус
      `userID` - код пользователя
      `updateManad` -
    Returns:
      код статуса договора до изменения

  - ### searchIPNContractStatusLogRecordList

    public void searchIPNContractStatusLogRecordList​(SearchResult<IPNContractStatusLogRecord> searchResult, int contractId, boolean dateSortOrder)

  - ### statusToString

    public static java.lang.String statusToString​(int status)
    Преобразует код статуса в строку
    Parameters:
      `status` - код статуса
    Returns: